dpkg: warning: obsolete option '--print-installation-architecture'

Bug #403316 reported by Scott Kitterman on 2009-07-23
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
console-setup (Ubuntu)
Undecided
Unassigned
fglrx-installer (Ubuntu)
Undecided
Unassigned
libdrm (Ubuntu)
Undecided
Unassigned
libx11 (Ubuntu)
Undecided
Unassigned
libxext (Ubuntu)
Undecided
Unassigned
libxi (Ubuntu)
Undecided
Unassigned
lsb (Ubuntu)
Undecided
Unassigned
wacom-tools (Ubuntu)
Undecided
Unassigned
x11proto-fixes (Ubuntu)
Undecided
Unassigned
x11proto-input (Ubuntu)
Undecided
Unassigned
x11proto-kb (Ubuntu)
Undecided
Unassigned
x11proto-randr (Ubuntu)
Undecided
Unassigned
x11proto-xext (Ubuntu)
Undecided
Unassigned
xorg-server (Ubuntu)
Low
Unassigned
xserver-xorg-input-elographics (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-hyperpen (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-joystick (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-keyboard (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-mouse (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-ati (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-fbdev (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-nouveau (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-nv (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-openchrome (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-radeonhd (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-sis (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-sisusb (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-trident (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-vesa (Ubuntu)
Undecided
Unassigned

Bug Description

Got the following warning doing a Kubuntu Karmic Alpha 3 upgrade test:

Setting up xserver-xorg-core (2:1.6.1.901-2ubuntu2) ...
dpkg: warning: obsolete option '--print-installation-architecture', please use '--print-architecture' instead.

Bryce Harrington (bryce) wrote :

Hi kitterman,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in xorg-server (Ubuntu):
status: New → Incomplete

This is a minor packaging bug. The standard X stuff from the script
doesn't apply.

Robert Hooker (sarvatt) wrote :

it's from debian/xsfbs/xsfbs.sh in almost all x packages, its harmless and the option is not used for anything at least.

http://git.debian.org/?p=pkg-xorg/xserver/xorg-server.git;a=commit;h=7deebf983f53c505bc25171ab77fdc408f250a6e

Scott Kitterman (kitterman) wrote :

Agreed it's harmless for now, but eventually obsolete options go away.

Changed in xorg-server (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
importance: Undecided → Low
Robert Hooker (sarvatt) wrote :

Adding all packages this bug effects that I have found so we can track it. fglrx-installer is a litle more serious than the xsfbs.sh users, it uses the --print-installation-architecture output to determine the diversionvon amd64 machines in debian/xorg-driver-fglrx.preinst

if [ `dpkg --print-installation-architecture` = "amd64" ]; then
        HAS_LIB32="yes"
fi

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-openchrome - 1:0.2.903+svn758-0ubuntu1

---------------
xserver-xorg-video-openchrome (1:0.2.903+svn758-0ubuntu1) karmic; urgency=low

  [ Bryce Harrington ]
  * New upstream snapshot
    + 758: Switch on LVDS pads only for active channels
    + 757: Modify PLL generation and add VX855 support
    + 756: VX855 basic support
    + 755: Sharp PC-AE30J
    + 754: fix cursor on secondary
    + 753: fix a segfault on shutdown in ViaCleanupXVMC when there's no Xv
    + 752: fix null pointer dereference in viaExaCheckComposite

  [ Robert Hooker (Sarvatt) ]
  * Introduce 02_xextproto_7_1_compat.patch: Allows building against xextproto
    7.1 dpms header changes.
  * debian/xsfbs/xsfbs.sh: Remove deprecated --print-installation-architecture
    call to silence dpkg. (LP: #403316)

 -- Robert Hooker (Sarvatt) <email address hidden> Sat, 25 Jul 2009 11:57:20 -0400

Changed in xserver-xorg-video-openchrome (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package xorg-server - 2:1.6.2.901-1ubuntu1

---------------
xorg-server (2:1.6.2.901-1ubuntu1) karmic; urgency=low

  [ Timo Aaltonen ]
  * Merge from Debian unstable. (LP: #403316)
  * Drop 170_primary_pci_video_device.patch, included in Debian

xorg-server (2:1.6.2.901-1) unstable; urgency=low

  * New upstream release candidate.
  * Bump mesa Build-Depends to >= 7.5 to fix DRI2 madness again,
    closes: #538637.

xorg-server (2:1.6.2-1) unstable; urgency=low

  [ Brice Goglin ]
  * New upstream release.
    + Fixes dri2 madness introduced in previous upload
      (closes: #534522, #536019, #534766, #534771, #534890).
    + Fixes xkb bogus length in write keyboard desc, closes: #529625.
    + Fixes SWCursor being multiply rendered, closes: #526260.
    + Drop Change-default-for-ExaOptimizeMigration-to-false.diff,
      applied upstream.
    + Pull upstream server-1.6-branch up to commit 606f6dba.
  * Bump serverminver to 2:1.6.2 for the dri2 upstream changes in the
    previous upload.

  [ Julien Cristau ]
  * Bump xserver-xorg-dev's dependency on dri2proto to >= 2.1 for the same
    reason.
  * Don't set PCI_TXT_IDS_DIR, we don't use that anymore.
  * xserver-xorg-core.bug.script: add a newline between X log and lshal
    output.

xorg-server (2:1.6.1.901-3) unstable; urgency=low

  [ Julien Cristau ]
  * xvfb-run: don't pass the magic cookie to xauth on the command line
    (CVE-2009-1573; closes: #526678). Thanks, Loïc Minier!
  * xvfb-run: use mktemp to create the temporary directory.
  * Change default for ExaOptimizeMigration to false. This option still
    causes visual corruption in some cases. Thanks, Michel Dänzer!
  * Only include hal info for keyboards, mice, touchpads and tablets in the
    bug script.
  * In the bug script, grep dmesg for agp in addition to drm.
  * Add patch stolen from Fedora to disable the fbdev driver when it's loaded
    together with a PCI or SBUS driver, instead of calling FatalError (closes:
    #508476).
  * Add patch stolen from Fedora to try and detect the primary PCI device by
    mapping the legacy VGA bios and comparing the vendor and device ids.
    Previously if there was more than one VGA device and the config didn't
    specify BusIDs, the server would just fail to start, so this hack should
    improve things.
  * Update configure options:
    + use --enable-xvfb instead of --enable-vfb
    + drop --disable-builtin-fonts, --enable-xtrap, --disable-kdrive-vesa,
      --disable-lbx, --disable-xprint, --disable-xorgconfig, --disable-xorgcfg
      which don't exist anymore
    + use --disable-config-hal and --disable-dri on hurd-i386
    + reorder options to match configure.ac, and use explicit
      --enable/--disable instead of using the defaults / autodetection
  * Don't recommend xfonts-base. libXfont provides builtin versions of the
    fixed and cursor fonts, which are the only required ones. Keep xfonts-*
    packages in Suggests for xserver-xorg-core.
  * Bump Standards-Version to 3.8.2 now that we have README.source.
  * Drop Build-Conflicts on xlibs-static-dev; it's only in oldstable at this
    point.
  * Pull from upstream server-1.6-branch as of June...

Read more...

Changed in xorg-server (Ubuntu):
status: Triaged → Fix Released
Mario Limonciello (superm1) wrote :

For fglrx, this has been committed upstream: http://www.phorogit.com/index.php?p=fglrx-packaging.git&a=commitdiff&h=0e3e4c5cf7a5e61bb469418198af87ec9e5f18f6&hb=adfa18957ee8b97956f1c5ba9e0c15cf57123ee0

It won't show up in an Ubuntu upstream release for a few months though.

Changed in fglrx-installer (Ubuntu):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

libdrm fixed by the latest merge

Changed in libdrm (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) wrote :

libx11 fixed by the latest merge

Changed in libx11 (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) wrote :

fixed in debian-unstable git branch

Changed in libxext (Ubuntu):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

libxi fixed in debian-unstable git branch

Changed in libxi (Ubuntu):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

all x11proto's are now fixed in git.

Changed in x11proto-fixes (Ubuntu):
status: New → Fix Committed
Changed in x11proto-input (Ubuntu):
status: New → Fix Committed
Changed in x11proto-kb (Ubuntu):
status: New → Fix Committed
Changed in x11proto-randr (Ubuntu):
status: New → Fix Committed
Changed in x11proto-xext (Ubuntu):
status: New → Fix Committed
Robert Hooker (sarvatt) on 2009-08-04
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Fix Released
Robert Hooker (sarvatt) wrote :

Fixed as of 1:2.1.14-2

Changed in xserver-xorg-video-nv (Ubuntu):
status: New → Fix Released
Robert Hooker (sarvatt) wrote :

Fixed in git as of 1:2.2.1-1 and will be fixed in karmic when it is synced.

Changed in xserver-xorg-video-vesa (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati - 1:6.12.99+git20090629.f39cafc5-0ubuntu5

---------------
xserver-xorg-video-ati (1:6.12.99+git20090629.f39cafc5-0ubuntu5) karmic; urgency=low

  * xsfbs/xsfbs.sh: Switch obsolete --print-installation-architecture to
    --print-architecture.
    (LP: #403316)

 -- Bryce Harrington <email address hidden> Tue, 04 Aug 2009 15:20:44 -0700

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.632-0ubuntu1~bwh~1

---------------
fglrx-installer (2:8.632-0ubuntu1~bwh~1) karmic; urgency=low

  * New upstream release.
    - X segmentation fault no longer occurs after applying reflections or
      rotations on some systems that support Xrandr 1.2 or higher
    - Catalyst Control Center hot plugging a secondary display no longer
      causes screen corruption in clone mode
      (LP: #388601)
    - Monitor are now disabled after removing the secondary display when
      system is in standby
    - Some systems now report CrossFire adapters available during driver
      re-install
    - On some multi-monitor configurations disabling one display no longer
      causes both displays to become disabled
    - X Server does not intermittently fail to start on some multi adapter
      configurations
      (LP: #367045, #360790, #370051)
    - Executing xrandr --prop no longer causes Ubuntu 9.04 X Server to stop
      responding
    - Segmentation fault no longer occurs with X server Xinerama is
      enabled
      (LP: #364497, #355841, #359880)
  * xorg-driver-fglrx.preinst: Switch obsolete
    --print-installation-architecture to --print-architecture.
    (LP: #403316)

 -- Bryce Harrington <email address hidden> Wed, 05 Aug 2009 01:38:39 -0700

Changed in fglrx-installer (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-nouveau - 1:0.0.10~git+20090823+569a17a-0ubuntu1

---------------
xserver-xorg-video-nouveau (1:0.0.10~git+20090823+569a17a-0ubuntu1) karmic; urgency=low

  * Merge package from Debian experimental. Remaining Ubuntu changes:
    + debian/control:
      - Remove mention of using module-assistant; we have a DKMS source package
      - Add dependency on quilt for our snapshot-date patch
      - Replace dependency on linux-nouveau-source virtual package. Instead
        depend directly on nouveau-kernel-source. Version this depends to
   ensure a compatible kernel ABI (>= 0.0.15).
    + debian/rules:
      - Call patch target
      - Generate snapshot-date in get-orig-source
    + debian/patches/01_include_snapshot_date
      - Use snapshot-date included by get-orig-source to define NV_DRIVER_DATE
        in configure. Helps upstream identify obsolete drivers with Xorg.log
    + debian/xsfbs/*
      - Update build-system helper from pkg-xorg. No longer uses deprecated
        --print-instalation-architecture. (LP: #403316)
  * Add debian/README.source from quilt package for policy compliance.
  * New upstream snapshot.

 -- Christopher James Halse Rogers <email address hidden> Sun, 23 Aug 2009 19:36:28 +1000

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Fix Released
Dimitrios Symeonidis (azimout) wrote :

removed the xorg-related tags, hope that's correct

tags: removed: needs-lspci-vvnn needs-xorglog
Bryce Harrington (bryce) on 2009-09-02
tags: added: kubuntu
Colin Watson (cjwatson) on 2009-09-10
Changed in console-setup (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lsb - 4.0-0ubuntu4

---------------
lsb (4.0-0ubuntu4) karmic; urgency=low

  * Merge 3.2-23 from Debian, fixing TERM handling in log_use_fancy_output
    (LP: #418461).
  * Use dpkg --print-architecture rather than
    --print-installation-architecture (LP: #403316).

lsb (3.2-23) unstable; urgency=low

  * Fix tests for $TERM in log_use_fancy_output(). (Closes: #537112, #536190)
  * Add libnss3-1d and libqt4-sql-sqlite to lsb-desktop dependencies.
    (Closes: #534277, #534452)
  * Properly trap open() failures in lsb_release. (Closes: #521462)
  * Ignore empty arguments in /etc/lsb-release. (Closes: #485565)
    May also fix #514041.
  * Better test for existant but unreadable PID file. (Closes: #527890)
  * Add some punctuation to log_{warning,failure}_msg. (Closes: #525684)
  * lsb-core depends on cups-bsd | lpr, since it is more likely that
    someone in 2009 will have CUPS installed already than want to use lpr
    instead. (Closes: #512098)

 -- Colin Watson <email address hidden> Thu, 10 Sep 2009 12:42:03 +0100

Changed in lsb (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package console-setup - 1.34ubuntu3

---------------
console-setup (1.34ubuntu3) karmic; urgency=low

  [ Loïc Minier ]
  * Use `dpkg --print-architecture` instead of the obsolete
    --print-installation-architecture in debian/config.proto (LP: #403316).

  [ Colin Watson ]
  * Forbid Unicode keysyms in the range 0xf000-0xffff, as kbd 1.15-1 rejects
    the entire keymap if it contains any keysyms in that range (LP:
    #416949).
  * Add default codeset/layout/variant for Asturian.
  * Backport from trunk (Jordi Mallach):
    - Set XKBVARIANT to "cat" for Catalan.

 -- Colin Watson <email address hidden> Thu, 01 Oct 2009 20:21:57 +0100

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wacom-tools - 1:0.8.4.1-0ubuntu1

---------------
wacom-tools (1:0.8.4.1-0ubuntu1) karmic; urgency=low

  * New upstream version. (LP: #405800)
  * xsfbs: Remove deprecated --print-installation-architecture. (LP: #403316)
  * waltop-ntrig.diff: Drop support for WALTOP, it doesn't work and crashes
    the server.

 -- Timo Aaltonen <email address hidden> Wed, 16 Sep 2009 16:31:32 +0300

Changed in console-setup (Ubuntu):
status: Fix Committed → Fix Released
Changed in wacom-tools (Ubuntu):
status: New → Fix Released
tags: added: iso-testing
Timo Aaltonen (tjaalton) wrote :

-hyperpen has been removed from the archive.

Changed in xserver-xorg-input-hyperpen (Ubuntu):
status: New → Fix Released
Changed in libxext (Ubuntu):
status: Fix Committed → Fix Released
Changed in libxi (Ubuntu):
status: Fix Committed → Fix Released
Changed in x11proto-fixes (Ubuntu):
status: Fix Committed → Fix Released
Changed in x11proto-input (Ubuntu):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2009-12-07
Changed in x11proto-kb (Ubuntu):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2009-12-07
Changed in x11proto-randr (Ubuntu):
status: Fix Committed → Fix Released
Changed in x11proto-xext (Ubuntu):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2009-12-08
Changed in xserver-xorg-input-joystick (Ubuntu):
status: New → Fix Committed
Changed in xserver-xorg-input-keyboard (Ubuntu):
status: New → Fix Released
Changed in xserver-xorg-input-mouse (Ubuntu):
status: New → Fix Released
Changed in xserver-xorg-video-fbdev (Ubuntu):
status: New → Fix Released
Changed in xserver-xorg-input-elographics (Ubuntu):
status: New → Fix Committed
Changed in xserver-xorg-video-radeonhd (Ubuntu):
status: New → Fix Released
Changed in xserver-xorg-video-sis (Ubuntu):
status: New → Fix Released
Changed in xserver-xorg-video-sisusb (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) on 2009-12-08
Changed in xserver-xorg-video-trident (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) on 2009-12-08
Changed in xserver-xorg-video-vesa (Ubuntu):
status: Fix Committed → Fix Released
Bryce Harrington (bryce) on 2010-02-23
Changed in xserver-xorg-input-joystick (Ubuntu):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) on 2011-02-16
Changed in xserver-xorg-input-elographics (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers